Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface GroupReaderMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, GroupEditorMBean, GroupMemberListerMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, MemberGroupListerMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface GroupReaderMBean
extends weblogic.management.commo.StandardInterface, NameListerMBean

Provides a set of methods for reading data about groups. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getGroupDescription(java.lang.String groupName)` Returns a group's description.
`boolean` | `groupExists(java.lang.String groupName)` Indicates whether the group that you specify exists.
`boolean` | `isMember(java.lang.String parentGroupName, java.lang.String memberUserOrGroupName, boolean recursive)` Indicates whether a user or group is a member of the group that you specify.
`java.lang.String` | `listGroups(java.lang.String groupNameWildcard, int maximumToReturn)` Searches for a group name that matches a pattern.

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### listGroups

    public java.lang.String listGroups(java.lang.String groupNameWildcard,
                                       int maximumToReturn)
                                throws InvalidParameterException

  Searches for a group name that matches a pattern. Returns a cursor (string). You can use methods from `weblogic.management.utils.NameLister` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results.

  Parameters:
    `groupNameWildcard` - - The pattern for which this method searches. The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case sensitive.

    For example, a pattern of `abc` matches exactly one group name that contains only `abc`,

    a pattern of `ab*` matches all group names that start with `ab`,

    and a pattern of `*` matches all group names.

    `maximumToReturn` - - The maximum number of group names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results. If the parameter is set to 0, there is no maximum and all results are returned.
  Throws:
    InvalidParameterException -

### groupExists

    public boolean groupExists(java.lang.String groupName)
                        throws InvalidParameterException

  Indicates whether the group that you specify exists.

  Parameters:
    `groupName` - - The name that this method evaluates.
  Throws:
    InvalidParameterException -

### isMember

    public boolean isMember(java.lang.String parentGroupName,
                            java.lang.String memberUserOrGroupName,
                            boolean recursive)
                     throws NotFoundException,
                            InvalidParameterException

  Indicates whether a user or group is a member of the group that you specify. A recursive search returns true if the member belongs to the group that you specify or to any of the groups contained within that group.

  Parameters:
    `parentGroupName` - - The existing group within which this method searches for membership.
    `memberUserOrGroupName` - - The user or group name for which this method searches.
    `recursive` - - If set to `true`, the criteria for membership extends to any groups within the group that is specified by `parentGroupName`.

    If this argument is set to `false`, then this method checks only for direct membership within the `parentGroupName`.

  Throws:
    NotFoundException -
    InvalidParameterException -

### getGroupDescription

    public java.lang.String getGroupDescription(java.lang.String groupName)
                                         throws NotFoundException,
                                                InvalidParameterException

  Returns a group's description.

  Parameters:
    `groupName` - - The name of an existing group.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD